[package]
name = "opnsense-config-xml"
edition = "2021"
version.workspace = true
readme.workspace = true
license.workspace = true

[dependencies]
serde = { version = "1.0.123", features = [ "derive" ] }
log = { workspace = true }
env_logger = { workspace = true }
yaserde = { git = "https://github.com/jggc/yaserde.git" }
yaserde_derive = { git = "https://github.com/jggc/yaserde.git" }
xml-rs = "0.8"
thiserror = "1.0"
async-trait = { workspace = true }
tokio = { workspace = true }
uuid = { workspace = true }
rand = { workspace = true }

[dev-dependencies]
pretty_assertions = "1.4.1"
